#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pyOpenSSL
Version		:	23.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Python wrapper module around the OpenSSL library
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://github.com/pyca/pyopenssl
			# https://pypi.org/project/pyOpenSSL

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
High-level wrapper around a subset of the OpenSSL library,
includes among others
	
 * SSL.Connection objects, wrapping the methods of
   Python's portable sockets
	
 * Callbacks written in Python
	
 * Extensive error-handling mechanism, mirroring
   OpenSSL's error codes

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%{python3_sitelib}/OpenSSL/*.py
%{python3_sitelib}/OpenSSL/__pycache__/*.pyc
%{python3_sitelib}/pyOpenSSL-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
	
#%{__python}						\
#	setup.py					\
#	pytest						\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
